CREATE TABLE IF NOT EXISTS "action" () WITH (OIDS=FALSE);

ALTER TABLE "action" ADD COLUMN IF NOT EXISTS "id" uuid NOT NULL DEFAULT gen_random_uuid ();

ALTER TABLE "action" ADD COLUMN IF NOT EXISTS "timestamp" timestamp(6) NOT NULL;

ALTER TABLE "action" ADD COLUMN IF NOT EXISTS "user" varchar NOT NULL COLLATE "default";

ALTER TABLE "action" ADD COLUMN IF NOT EXISTS "api" varchar NOT NULL;

ALTER TABLE "action" ADD COLUMN IF NOT EXISTS "operation" varchar NOT NULL;

ALTER TABLE "action" ADD COLUMN IF NOT EXISTS "params" json NOT NULL;

ALTER TABLE "action" ADD COLUMN IF NOT EXISTS "status" varchar NOT NULL COLLATE "default";

ALTER TABLE "action" ADD CONSTRAINT "id_pkey" PRIMARY KEY ("id") NOT DEFERRABLE INITIALLY IMMEDIATE;

CREATE INDEX IF NOT EXISTS "IDX_user" ON "action" ("user");
