CREATE TABLE IF NOT EXISTS "umc_login_sessions" () WITH (OIDS=FALSE);

ALTER TABLE "umc_login_sessions" ADD COLUMN IF NOT EXISTS "sid" varchar NOT NULL COLLATE "default";

ALTER TABLE "umc_login_sessions" ADD COLUMN IF NOT EXISTS "sess" json NOT NULL;

ALTER TABLE "umc_login_sessions" ADD COLUMN IF NOT EXISTS "expire" timestamp(6) NOT NULL;

ALTER TABLE "umc_login_sessions" ADD COLUMN IF NOT EXISTS "user_id" varchar;

ALTER TABLE "umc_login_sessions" ADD CONSTRAINT "session_pkey" PRIMARY KEY ("sid") NOT DEFERRABLE INITIALLY IMMEDIATE;

CREATE INDEX IF NOT EXISTS "IDX_session_expire" ON "umc_login_sessions" ("expire");
