CREATE TABLE IF NOT EXISTS "user_profile" () WITH (OIDS=FALSE);

ALTER TABLE "user_profile" ADD COLUMN IF NOT EXISTS "user_id" varchar;

ALTER TABLE "user_profile" ADD COLUMN IF NOT EXISTS "key" varchar NOT NULL;

ALTER TABLE "user_profile" ADD COLUMN IF NOT EXISTS "value" json NOT NULL;

ALTER TABLE "user_profile" ADD COLUMN IF NOT EXISTS "update_at" timestamp NOT NULL;

ALTER TABLE "user_profile" ADD CONSTRAINT "user_and_key" UNIQUE("user_id","key");